Source: golang-github-viant-toolbox
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Aloïs Micard <creekorful@debian.org>,
 Roger Shimizu <rosh@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-aws-aws-sdk-go-dev,
 golang-github-go-errors-errors-dev,
 golang-github-lunixbochs-vtclean-dev,
 golang-github-pkg-errors-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-google-dev,
 golang-google-api-dev,
 golang-google-cloud-dev,
 golang-yaml.v2-dev,
 tzdata
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-viant-toolbox
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-viant-toolbox.git
Homepage: https://github.com/viant/toolbox
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/viant/toolbox

Package: golang-github-viant-toolbox-dev
Architecture: all
Depends:
 golang-github-aws-aws-sdk-go-dev,
 golang-github-go-errors-errors-dev,
 golang-github-lunixbochs-vtclean-dev,
 golang-github-pkg-errors-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-google-dev,
 golang-google-api-dev,
 golang-google-cloud-dev,
 golang-yaml.v2-dev,
 ${misc:Depends}
Description: Toolbox - golang utility library
 This library was developed as part of:
  * Datastore Connectivity (https://github.com/viant/dsc)
  * Testibility libraries:
    - Assertly (https://github.com/viant/assertly)
    - Datastore testing (https://github.com/viant/dsunit)
    - End to end testing (https://github.com/viant/endly)
 as a way to share utilities, and other abstractions that may be useful
 in other projects.
